List tags visible to the active account.
curl --request GET \
--url https://api.infrawatch.com/api/v1/rules/tags \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/rules/tags"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/rules/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/rules/tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"pagination": {
"limit": 123,
"offset": 123,
"total": 123,
"has_more": true,
"next_cursor": "<string>"
},
"tags": [
{
"category_slugs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"data_plane_ready": true,
"description": "<string>",
"enabled": true,
"locked": true,
"name": "<string>",
"normalized_name": "<string>",
"public": true,
"revision": 2,
"slug": "<string>",
"source_registered": true,
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validity": "<string>",
"individual_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ttl_days": 32767
}
]
}Tags
List tags visible to the active account.
GET
https://api.infrawatch.com/api/v1
/
rules
/
tags
List tags visible to the active account.
curl --request GET \
--url https://api.infrawatch.com/api/v1/rules/tags \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/rules/tags"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/rules/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/rules/tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"pagination": {
"limit": 123,
"offset": 123,
"total": 123,
"has_more": true,
"next_cursor": "<string>"
},
"tags": [
{
"category_slugs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"data_plane_ready": true,
"description": "<string>",
"enabled": true,
"locked": true,
"name": "<string>",
"normalized_name": "<string>",
"public": true,
"revision": 2,
"slug": "<string>",
"source_registered": true,
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validity": "<string>",
"individual_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ttl_days": 32767
}
]
}Authorizations
Infrawatch API key. Supply the complete key directly as the header value.
Query Parameters
Maximum string length:
200Required range:
1 <= x <= 200Required range:
x >= 0Available options:
owned, visible Maximum array length:
100⌘I